org.eclipse.ecf.provider.filetransfer.browse

## Class AbstractFileSystemBrowser.RemoteFileSystemRequest

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.browse.AbstractFileSystemBrowser.RemoteFileSystemRequest

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, IRemoteFileSystemRequest

Enclosing class:
  AbstractFileSystemBrowser

    public abstract class AbstractFileSystemBrowser.RemoteFileSystemRequest
    extends Object
    implements IRemoteFileSystemRequest

### Constructor Summary

Constructors
Constructor and Description
`RemoteFileSystemRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` Cancel this request.
`IFileID` `getFileID()` Get directoryID that represents the directory accessed.
`IRemoteFileSystemListener` `getRemoteFileListener()` Get the listener associated with this request

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### RemoteFileSystemRequest

    public RemoteFileSystemRequest()

### Method Detail

#### cancel

    public void cancel()

Description copied from interface: `IRemoteFileSystemRequest`
Cancel this request.

Specified by:
  `cancel` in interface `IRemoteFileSystemRequest`

#### getFileID

    public IFileID getFileID()

Description copied from interface: `IRemoteFileSystemRequest`
Get directoryID that represents the directory accessed.

Specified by:
  `getFileID` in interface `IRemoteFileSystemRequest`
Returns:
  IFileID for remote directory or file. Will not return `null`.

#### getRemoteFileListener

    public IRemoteFileSystemListener getRemoteFileListener()

Description copied from interface: `IRemoteFileSystemRequest`
Get the listener associated with this request

Specified by:
  `getRemoteFileListener` in interface `IRemoteFileSystemRequest`
Returns:
  IRemoteFileSystemListener associated with this request.